Support Center

Recent questions

About Koken

This Help Center provides support for Koken, a free content management system designed for photographers, artists and designers.

Name is required.
Email address is required.
Invalid email address
Answer is required.
Exceeding max length of 5KB

Plugins: "require file.php" not allowed?

Patrick

Aug 19, 2014 09:16AM EDT

Hi

i want to integrate the "commentics"-Comment-System into Koken. I want use the "disqus"-Plugin from Koken as basis.

I don't need Setup ... so i change $this->require_setup = true; ... to false.

I need only "$this->register_hook('discussion', 'render_div');" ... (in my theme i activated disqus-comments)

In function render_div()

$cmtx_identifier = '1';
$cmtx_reference = 'Page One';
$cmtx_path = '/apps/koken/commentics/upload/';
require $cmtx_path . 'includes/commentics.php';

path are correct

I think "require" is forbidden by Koken?

When I open an content-site: parsing stopped at this <div id="kdiscuss">

Change require to include => parsing is correct, but NO content in kdiscuss-DIV.

Commentics need to run an session_start(); in Line 1 of my php-code ... insert this into site.php (Line 1) - don't work.

Is there a way to run this code in an koken-plugin?

For testing I use "require '/robots.txt';" ... don't work...

Thanks

This question has received the maximum number of answers.

support@koken.me
http://assets1.desk.com/
false
koken
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete